Subject: Re: iproute2 action/policer question

From: Jarek Poplawski <[email-masked]>
Date: Wed, 17 Jun 2009 09:26:26 +0000

On Wed, Jun 17, 2009 at 12:01:37PM +0300, Denys Fedoryschenko wrote:
> On Wednesday 17 June 2009 09:28:46 Jarek Poplawski wrote:
> 
> > >
> > > I confirm I can't get 'action ipt -j MARK' working on debian lenny
> > > (stable) with distro's iptables/tc. I'm not able to compile tc from
> > > vanilla sources properly either - configure fails 3 IPT tests. (I
> > > admit I can miss setting some (undocumented?) config variables.) So,
> > > with or without debian, IMHO iproute2 needs some updates for iptables
> > > 1.4.2, 1.4.3, and maybe even 1.4.4 now.
> >
> > OOPS! I _can_ configure it for 1.4.2 yet (so it's only about >= 1.4.3).
> >
> I check that, and found again many small changes in iptables, that screwed ipt 
> action in iproute2.
> 
> I really think it doesn't worth to put too much efforts fixing it, with each 
> new release iptables. I switch to other way of "tagging" packets, skbedit, 
> and it seems it is also faster.

If it were only about -j MARK you're 100% right. Other targets could
be harder to replace - if they work of course ;-) Of course it's all
up to Jamal, but on the other hand I'm really confused debian stable
(or even testing) maintains such a broken state without any notice
or simply disabling it to save people's time.

Jarek P.